commit b4108a361f05ee87122b86aa7d799e4512013588
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Fri Feb 16 08:47:20 2018 -0800

    manual: Improve documentation of get_current_dir_name. [BZ #6889]
    
    This is a minor rewording to clarify the behaviour of
    get_current_dir_name.  Additionally, the @vindex is moved above the
    @deftypefun so that following links give a better result with regard
    to context.
    
            [BZ #6889]
            * manual/filesys.texi (get_current_dir_name): Clarify
            behaviour.
    
    (cherry picked from commit 7d15ef84f50a80cb170f8ce3457010f59e221cb8)

diff --git a/ChangeLog b/ChangeLog
index 8eb6078485..727b2f92c3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2018-02-19  Rical Jasan  <ricaljasan@pacific.net>
+
+	[BZ #6889]
+	* manual/filesys.texi (get_current_dir_name): Clarify behaviour.
+
 2018-02-16  Rical Jasan  <ricaljasan@pacific.net>
 
 	* manual/platform.texi (__riscv_flush_icache): Fix @deftypefun
diff --git a/NEWS b/NEWS
index e40fa8d1df..5571c592bf 100644
--- a/NEWS
+++ b/NEWS
@@ -9,6 +9,7 @@ Version 2.27.1
 
 The following bugs are resolved with this release:
 
+  [6889] 'PWD' mentioned but not specified
   [22638] sparc: static binaries are broken if glibc is built by gcc
     configured with --enable-default-pie
   [22735] Misleading typo in time.h source comment regarding CLOCKS_PER_SECOND
